<?php
/**
 * GovernmentQrDat Entity
 * $Id: GovernmentQrDat.inc,v 1.1 2020/1/17 14:38:28 Exp $
 * @author lixq
 * @package jp.compass.entity
 * @access public
 */
class GovernmentQrDat extends CompassDynamicData
{
	var $government_id;
	var $province;
	var $city;
	var $district;
	var $max_count;
	var $limit_date;
	var $title;
	var $delete_flg;

	/**
	 * 构造实现。government_qr_dat创建实例。
	 * 
	 * @access public
	 * @param mixed government_qr_dat
	 */
	function constructor($record)
	{
		parent::constructor($record);

		$this->government_id = $record["government_id"];
		$this->province      = $record["province"];
		$this->city          = $record["city"];
		$this->district      = $record["district"];
		$this->max_count     = $record["max_count"];
		$this->limit_date    = $record["limit_date"];
		$this->title         = $record["title"];
		$this->delete_flg    = $record["delete_flg"];
	}

	/**
	 * 根据条件,获取数据列表。
	 * 条件与DBManager的doSelect相同。
	 * @access public
	 * @static
	 * @param array 检索条件
	 * @return array Entity的队列
	 */
	public static function getList($w_param = null, $orderkey = null, $direction = "ASC", $offset = null, $limit = null)
	{
		if ($w_param == null) {
			$w_param = array();
			$w_param["delete_flg"] = "false";
		}

		return CompassDBHandler::getList("GovernmentQrDat", "government_qr_dat", $w_param, $orderkey, $direction, $offset, $limit);
	}

	/**
	 * 根据条件，获取数据列表的件数。
	 * 条件与DBManager的doSelect相同。
	 * @access public
	 * @static
	 * @param array 检索条件
	 * @return array Entity的队列
	 */
	public static function getListCount($w_param = null)
	{
		if ($w_param == null) {
			$w_param = array();
			$w_param["delete_flg"] = "false";
		}
		$db = CompassDBManager::getInstance();
		$result = $db->doSelect("government_qr_dat", $w_param, null, null, null, null, "count(*) as count");

		return $result[0]["count"];
	}

	/**
	 * 获得此类指定ID的实例。
	 */
	public static function getById($id)
	{
		// delete_flg
		$param = array();
		$param["delete_flg"] = false;

		return CompassDBHandler::getById("GovernmentQrDat", "government_qr_dat", $id, $param);
	}

	// -- 这里开始Dynamic ---
	/**
	 * 将此实例写入DB。
	 * DynamicData共用的保存方法。
	 * @access public
	 * @return int 写入实例的ID
	 */
	public function save()
	{
		$v_param = array();

		ParamUtil::copyObj2Array($v_param, $this, "government_id");
		ParamUtil::copyObj2Array($v_param, $this, "province");
		ParamUtil::copyObj2ArrayNullField($v_param, $this, "city");
		ParamUtil::copyObj2ArrayNullField($v_param, $this, "district");
		ParamUtil::copyObj2Array($v_param, $this, "max_count");
		ParamUtil::copyObj2Array($v_param, $this, "limit_date");
		ParamUtil::copyObj2Array($v_param, $this, "title");
		ParamUtil::copyObj2Array($v_param, $this, "delete_flg");

		// 保存
		parent::_save("government_qr_dat", $v_param);
	}
}